Bug 1010388 - Verifying Network of ActiveMQ Brokers Using the ActiveMQ Console shows wrong information
Verifying Network of ActiveMQ Brokers Using the ActiveMQ Console shows wrong ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
1.2.0
All All
high Severity high
: ---
: ---
Assigned To: Julie
Alison Young
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 12:33 EDT by Nikhil Mone
Modified: 2015-07-19 20:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-07 18:59:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikhil Mone 2013-09-20 12:33:16 EDT
Description of problem: 

Section : 5.8.4.4.2. Verifying Network of ActiveMQ Brokers Using the ActiveMQ Console shows wrong information. It should not list the ephemeral ports.

https://access.redhat.com/site/documentation/en-US/OpenShift_Enterprise/1/html/Deployment_Guide/Verifying_Network_of_ActiveMQ_Brokers_Using_the_ActiveMQ_Console.html


Version-Release number of selected component (if applicable):


How reproducible:

Create duplex connectors between 3 activemq brokers and then check "network.jsp"

Steps to Reproduce:

                        amq1
                      //    \\
                     //      \\
                  amq2 ===== amq3    

1. Create duplex connectors between 3 activemq brokers
2. Check "network.jsp"
3. You will only see :

Network Bridges

Remote Broker   Remote Address      Created By Duplex Messages Enqueued Messages Dequeued
activemq02.example.com tcp://172.16.14.13:61616 false          0                 0
activemq03.example.com tcp://172.16.14.15:61616 false             0                 0

Actual results:

                                                     Created  Messages  Messages
  Remote Broker                Remote Address          By     Enqueued  Dequeued
                                                     Duplex
  activemq2.example.com   tcp://192.168.59.163:61616 false    15        15
  activemq2.example.com   tcp://192.168.59.163:32827 true     15        15
  activemq3.example.com   tcp://192.168.59.147:41338 true     15        15
  activemq3.example.com   tcp://192.168.59.147:61616 false    15        15


Expected results:


                                                     Created  Messages  Messages
  Remote Broker                Remote Address          By     Enqueued  Dequeued
                                                     Duplex
  activemq2.example.com   tcp://192.168.59.163:61616 false    15        15
  activemq3.example.com   tcp://192.168.59.147:61616 false    15        15


Additional info:

Note You need to log in before you can comment on or make changes to this bug.